<div class="m-portlet m-portlet--mobile">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <router-link :to="{ name: 'index' }" class="btn btn-brand m-btn m-btn--icon m-btn--icon-only m-btn--custom m-btn--pill m-btn--air btn-sm" exact>
                    <i class="fa fa-step-backward"></i>
                </router-link>
                <h3 class="m-portlet__head-text" style="margin-left: 10px">
                    Warehouse Information & Inventory
                </h3>
            </div>
        </div>
        <div class="m-portlet__head-tools">
            <ul class="m-portlet__nav">
                <li v-if="loadingStatus" class="m-portlet__nav-item">
                    <div class="m-loader m-loader--brand m-loader--lg" style="width: 30px; display: inline-block;"></div>
                </li>
                <li class="m-portlet__nav-item">
                    <router-link :to="{ name: 'edit', params: { id: $route.params.id }}" class="btn btn-focus m-btn m-btn--custom m-btn--pill m-btn--icon m-btn--air">
                        <span>
                            <i class="la la-edit"></i>
                            <span>Edit Warehouse</span>
                        </span>
                    </router-link>
                </li>
            </ul>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <div class="col-lg-4">
                    <label><b>Name:</b></label>
                    <p>{{ warehouse.name }}</p>
                </div>
                <div class="col-lg-4">
                    <label><b>Address:</b></label>
                    <p>{{ warehouse.address }}</p>
                </div>
                <div class="col-lg-4">
                    <label><b>Public:</b></label>
                    <p>{{ warehouse.public == true ? 'Public' : 'Private' }}</p>
                </div>
                <div class="col-lg-4">
                    <label><b>Total Quantity:</b></label>
                    <p>{{ warehouse.quantity }}</p>
                </div>
                <div class="col-lg-4">
                    <label><b>Total Value:</b></label>
                    <p>{{ warehouse.value }}</p>
                </div>
                <div class="col-lg-4">
                    <label><b>Description:</b></label>
                    <p>{{ warehouse.description }}</p>
                </div>

            </div>
        </div>
    </form>

    <div class="m-separator m-separator--md m-separator--dashed"></div>

    <warehouse-inventory-data-table-component></warehouse-inventory-data-table-component>
</div>